OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_IndexedLineSet Class Reference

defines a IndexedLineSet node of VRML specifying geometry shapes.
This node represents a 3D shape formed by constructing polylines from vertices
located at the current coordinates. IndexedLineSet uses the indices in its coordIndex
field to specify the polylines. An index of -1 separates one polyline from the next
(thus, a final -1 is optional). the current polyline has ended and the next one begins.
Treatment of the current material and normal binding is as follows: The PER_PART binding
specifies a material or normal for each segment of the line. The PER_FACE binding
specifies a material or normal for each polyline. PER_VERTEX specifies a material or
normal for each vertex. The corresponding _INDEXED bindings are the same, but use
the materialIndex or normalIndex indices. The DEFAULT material binding is equal
to OVERALL. The DEFAULT normal binding is equal to PER_VERTEX_INDEXED;
if insufficient normals exist in the state, the lines will be drawn unlit. The same
rules for texture coordinate generation as IndexedFaceSet are used.

`#include <Vrml_IndexedLineSet.hxx>`

## Public Member Functions
Standard_EXPORT | Vrml_IndexedLineSet (const Handle(TColStd_HArray1OfInteger)&aCoordIndex, const Handle(TColStd_HArray1OfInteger)&aMaterialIndex, const Handle(TColStd_HArray1OfInteger)&aNormalIndex, const Handle(TColStd_HArray1OfInteger)&aTextureCoordIndex)
Standard_EXPORT | Vrml_IndexedLineSet ()
Standard_EXPORT void | SetCoordIndex (const Handle(TColStd_HArray1OfInteger)&aCoordIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | CoordIndex () const
Standard_EXPORT void | SetMaterialIndex (const Handle(TColStd_HArray1OfInteger)&aMaterialIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | MaterialIndex () const
Standard_EXPORT void | SetNormalIndex (const Handle(TColStd_HArray1OfInteger)&aNormalIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | NormalIndex () const
Standard_EXPORT void | SetTextureCoordIndex (const Handle(TColStd_HArray1OfInteger)&aTextureCoordIndex)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | TextureCoordIndex () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfInteger | myCoordIndex
Handle_TColStd_HArray1OfInteger | myMaterialIndex
Handle_TColStd_HArray1OfInteger | myNormalIndex
Handle_TColStd_HArray1OfInteger | myTextureCoordIndex

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_IndexedLineSet::Vrml_IndexedLineSet | ( | const Handle(TColStd_HArray1OfInteger)& | aCoordIndex,
|  | const Handle(TColStd_HArray1OfInteger)& | aMaterialIndex,
|  | const Handle(TColStd_HArray1OfInteger)& | aNormalIndex,
|  | const Handle(TColStd_HArray1OfInteger)& | aTextureCoordIndex
| ) |

Standard_EXPORT Vrml_IndexedLineSet::Vrml_IndexedLineSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::CoordIndex | ( |  | ) | const

Standard_EXPORT const Vrml_IndexedLineSet::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::MaterialIndex | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::NormalIndex | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_IndexedLineSet::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_IndexedLineSet::SetCoordIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aCoordIndex | ) |

Standard_EXPORT void Vrml_IndexedLineSet::SetMaterialIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aMaterialIndex | ) |

Standard_EXPORT void Vrml_IndexedLineSet::SetNormalIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aNormalIndex | ) |

Standard_EXPORT void Vrml_IndexedLineSet::SetTextureCoordIndex | ( | const Handle(TColStd_HArray1OfInteger)& | aTextureCoordIndex | ) |

Standard_EXPORT Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::TextureCoordIndex | ( |  | ) | const

## Field Documentation

Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::myCoordIndex`[private]`

Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::myMaterialIndex`[private]`

Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::myNormalIndex`[private]`

Handle_TColStd_HArray1OfInteger Vrml_IndexedLineSet::myTextureCoordIndex`[private]`

The documentation for this class was generated from the following file:

- Vrml_IndexedLineSet.hxx